"use strict";
//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
// 
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconCount = void 0;
var react_1 = __importDefault(require("react"));
var lodash_1 = require("lodash");
var svg_1 = require("./svg");
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var colors_1 = require("primeobjects-helper-util/build/cjs/colors");
var styles = {
    countWrapper: { top: -6, right: -8, borderRadius: 9, justifyContent: 'space-around' },
    count: { fontSize: 8, alignSelf: 'center' }
};
var IconCount = function (props) {
    var countWrapperStyle = props.countWrapperStyle, countStyle = props.countStyle, wrapperClassName = props.wrapperClassName, wrapperStyle = props.wrapperStyle;
    var iconSize = !(0, lodash_1.isNil)(props.iconSize) && (0, lodash_1.isInteger)(props.iconSize) ? props.iconSize : 24;
    var iconColor = (0, core_1.isNonEmptyString)(props.iconColor) ? props.iconColor : colors_1.GRAY['700'];
    var count = !(0, lodash_1.isNil)(props.count) && (0, lodash_1.isInteger)(props.count) ? props.count : 0;
    var countBackgroundColor = !(0, lodash_1.isNil)(props.countBackgroundColor) && (0, core_1.isNonEmptyString)(props.countBackgroundColor) ? props.countBackgroundColor : colors_1.RED["600"];
    var countColor = !(0, lodash_1.isNil)(props.countColor) && (0, core_1.isNonEmptyString)(props.countColor) ? props.countColor : '#ffffff';
    return react_1.default.createElement("div", { style: wrapperStyle, className: "relative inline-flex ".concat((0, core_1.isNonEmptyString)(wrapperClassName) ? wrapperClassName : '') },
        react_1.default.createElement("div", { className: "-mx-1 bg-white p-1 rounded-full text-gray-400 hover:text-gray-500" },
            react_1.default.createElement("span", { className: "sr-only" }, "View notifications"),
            react_1.default.createElement(svg_1.SVG, { id: "page_header_notification", size: iconSize, color: iconColor, src: "/icons/platform/notification.svg" }),
            count > 0 &&
                react_1.default.createElement("div", { className: "flex flex-row justify-center w-full text-white absolute", style: __assign(__assign({ backgroundColor: countBackgroundColor, width: iconSize * 2 / 3, height: iconSize * 2 / 3 }, styles.countWrapper), countWrapperStyle) },
                    react_1.default.createElement("div", { style: __assign(__assign({ color: countColor }, styles.count), countStyle) }, count > 9 ? '9+' : count))));
};
exports.IconCount = IconCount;
exports.default = exports.IconCount;
