//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { useEffect, useState } from "react";
import { isInteger, isNil } from "lodash";
import { useResizeDetector } from "react-resize-detector";
export var GradientDiv = function (props) {
    var children = props.children, tooltip = props.tooltip, style = props.style;
    var _a = useResizeDetector(), width = _a.width, height = _a.height, ref = _a.ref;
    var _b = useState(false), isOverflowX = _b[0], setIsOverflowX = _b[1];
    var className = props.className ? props.className : "";
    var alignment = props.alignment == "right" ? "right" : "left";
    var gradientAreaWidth = !isNil(props.gradientAreaWidth) && isInteger(props.gradientAreaWidth) && props.gradientAreaWidth > 20 ? props.gradientAreaWidth : !isNil(width) ? width : "20%";
    var graidentStages = props.graidentStages ? props.graidentStages : [65, 75, 85];
    useEffect(function () {
        setIsOverflowX(ref.current.scrollWidth - ref.current.clientWidth > 0);
    }, [width, children]);
    return (React.createElement("div", __assign({ ref: ref, style: style }, props, { title: isOverflowX && tooltip ? tooltip : "", className: "w-full relative whitespace-nowrap overflow-hidden grid overflow-y-auto ".concat(alignment == "right" && !isOverflowX ? "text-right" : "text-left", " ").concat(className) }),
        children,
        isOverflowX && (React.createElement("div", { className: "absolute", style: {
                height: height,
                top: 0,
                right: 0,
                width: gradientAreaWidth,
                background: "linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0.25) ".concat(graidentStages[0], "%, rgba(255,255,255,0.5) ").concat(graidentStages[1], "%, rgba(255,255,255,0.75) ").concat(graidentStages[2], "%, #ffffff)")
            } }))));
};
export default GradientDiv;
