//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
// 
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
import React from 'react';
import { isNonEmptyString } from 'primeobjects-helper-util';
import { map } from 'lodash';
export var HeaderMenuPosts = function (props) {
    var data = props.data, title = props.title, moreHref = props.moreHref;
    var color = isNonEmptyString(props.color) ? props.color : 'sky';
    var moreText = isNonEmptyString(props.moreText) ? props.moreText : 'View all posts';
    return React.createElement("div", { className: "px-5 py-5 bg-gray-50" },
        React.createElement("div", null,
            isNonEmptyString(title) && React.createElement("h3", { className: "text-sm tracking-wide font-medium text-gray-500 uppercase" }, title),
            React.createElement("ul", { role: "list", className: "mt-4 space-y-4" }, map(data, function (item, idx) {
                if (!isNonEmptyString(item.title)) {
                    item.title = 'Need title';
                }
                return React.createElement("li", { key: isNonEmptyString(item.id) ? item.id : idx, className: "text-base truncate" },
                    React.createElement("a", { href: item.href, className: "font-small text-gray-900 hover:text-gray-700" }, item.title));
            }))),
        isNonEmptyString(moreHref) && React.createElement("div", { className: "mt-5 text-sm" },
            React.createElement("a", { href: moreHref, className: "font-medium text-".concat(color, "-600 hover:text-").concat(color, "-500") },
                ' ',
                moreText,
                " ",
                React.createElement("span", { "aria-hidden": "true" }, "\u2192"))));
};
export default HeaderMenuPosts;
