//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
// 
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
import nookies from 'nookies';
import { isObject } from 'primeobjects-helper-util/build/cjs/core';
import { isNil, isInteger } from 'lodash';
export var getCookie = function (name, ctx) {
    var o = nookies.get(ctx);
    if (!isObject(o))
        return '';
    var v = nookies.get(ctx)[name];
    return v ? v : '';
};
export var setCookie = function (name, value, ctx, maxAgeMins) {
    if (isNil(maxAgeMins) || !isInteger(maxAgeMins))
        maxAgeMins = 360;
    var option = { path: "/", maxAge: maxAgeMins * 60 };
    nookies.set(ctx, name, value, option);
};
export var removeCookie = function (name, ctx) {
    nookies.destroy(ctx, name, { path: "/" });
};
